## org.biojava.bio.seq.io.agave
Class AGAVEProperty

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEProperty

public class AGAVEProperty
extends java.lang.Object

Field Summary
`static java.lang.String` `QUALIFIER`
`static java.lang.String` `RESULT_PROPERTY`
`static java.lang.String` `SCI_PROPERTY`
`static java.lang.String` `XREF_PROPERTY`

Constructor Summary
`AGAVEProperty(java.lang.String property_class, java.lang.String prop, java.lang.String data_type, java.lang.String value)`

Method Summary
`java.lang.String` `getDataType()`
`java.lang.String` `getPropClass()`
`java.lang.String` `getPropType()`
`java.lang.String` `getValue()`
`java.lang.String` `toString()`
`java.lang.String` `toString(java.lang.String indent, java.lang.String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCI_PROPERTY

    public static final java.lang.String SCI_PROPERTY

See Also:
  Constant Field Values

### RESULT_PROPERTY

    public static final java.lang.String RESULT_PROPERTY

See Also:
  Constant Field Values

### XREF_PROPERTY

    public static final java.lang.String XREF_PROPERTY

See Also:
  Constant Field Values

### QUALIFIER

    public static final java.lang.String QUALIFIER

See Also:
  Constant Field Values

Constructor Detail

### AGAVEProperty

    public AGAVEProperty(java.lang.String property_class,
                         java.lang.String prop,
                         java.lang.String data_type,
                         java.lang.String value)

Method Detail

### getPropClass

    public java.lang.String getPropClass()

### getPropType

    public java.lang.String getPropType()

### getDataType

    public java.lang.String getDataType()

### getValue

    public java.lang.String getValue()

### toString

    public java.lang.String toString(java.lang.String indent,
                                     java.lang.String indent_unit)

### toString

    public java.lang.String toString()